import { css } from '@emotion/react';
import { Button } from '@mui/material';
import GoogleIcon from '../google-icon';

const googleButtonStyle = css({
  color: '#000000',
  //fontSize: "15px",
  fontWeight: '300',
  border: '1px solid black',
  '&:hover': {
    border: '1px solid black',
  },
});

const GoogleButton = ({ text, onClick }) => {
  return (
    <Button variant="outlined" css={googleButtonStyle} startIcon={GoogleIcon} onClick={onClick}>
      {text}
    </Button>
  );
};

export default GoogleButton;
